use sqlx::sqlite::SqlitePoolOptions;

#[async_std::main]
// or #[tokio::main]
async fn main() -> Result<(), sqlx::Error> {
    let pool = SqlitePoolOptions::new()
        .max_connections(5)
        .connect("sqlite::memory:")
        .await?;

    println!("{:#?}", pool);

    let row: (i64,) = sqlx::query_as("SELECT $1")
        .bind(150_i64)
        .fetch_one(&pool).await?;
    println!("{:#?}", row);

    Ok(())
}